import { createApp } from "vue";
import "./style.css";
import ElementPlus from "element-plus";
import zhCn from "element-plus/dist/locale/zh-cn.mjs";
import "element-plus/dist/index.css";
import * as ElementPlusIconsVue from "@element-plus/icons-vue";
import App from "./App.vue";

import router from "@/router";
import store from "@/store";

import "animate.css/animate.min.css";
// 打印功能
import print from "vue3-print-nb";

const app = createApp(App);
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component);
}

app.use(ElementPlus, {
  locale: zhCn,
});
app.use(router);
app.use(store);
// 使用打印功能
app.use(print);

app.mount("#app");
app.config.devtools = true;
